Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  K-Faktor ändern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  K-Faktor ändern (228 mal gelesen)
j.krusat
Mitglied


Sehen Sie sich das Profil von j.krusat an!   Senden Sie eine Private Message an j.krusat  Schreiben Sie einen Gästebucheintrag für j.krusat

Beiträge: 1
Registriert: 21.07.2022

Inventor 2021

erstellt am: 21. Jul. 2022 06:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

besteht die Möglichkeit, bei der Übernahme von beigestellten Blechdateien, den K-Faktor für alle Teile gleichzeitig zu ändern?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

TimFoell
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von TimFoell an!   Senden Sie eine Private Message an TimFoell  Schreiben Sie einen Gästebucheintrag für TimFoell

Beiträge: 28
Registriert: 13.04.2018

erstellt am: 21. Jul. 2022 06:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für j.krusat 10 Unities + Antwort hilfreich

n

[Diese Nachricht wurde von TimFoell am 21. Jul. 2022 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nightsta1k3r
Ehrenmitglied V.I.P. h.c.
plaudern



Sehen Sie sich das Profil von nightsta1k3r an!   Senden Sie eine Private Message an nightsta1k3r  Schreiben Sie einen Gästebucheintrag für nightsta1k3r

Beiträge: 10945
Registriert: 25.02.2004

Hier könnte ihre Werbung stehen!

erstellt am: 21. Jul. 2022 07:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für j.krusat 10 Unities + Antwort hilfreich

da der k-Faktor in der Datei gespeichert ist mußt/kannst du ihn auch in jeder individuell ändern.

Ein Updaten auf eine gewünschte Vorlage ist nicht vorgesehen

------------------

------------------
Es reicht nicht, sich Blödsinn nur auszudenken, wenn man ihn nicht auch bis zur letzten Konsequenz durchzieht!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik




Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 2061
Registriert: 15.11.2006

Windows 10 x64, AIP 2022

erstellt am: 21. Jul. 2022 15:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für j.krusat 10 Unities + Antwort hilfreich

Hallo

Man könnte es über Bitschubsen versuchen.
iLogic:

Code:

Sub Main

If MsgBox("Achtung. Die Funktion setzt in ALLEN geöffneten Blechbauteilen den k-Faktor neu. Das gilt auch für Blechbauteile die in geöffneten Baugruppen und/oder Zeichnungen referenziert sind.", MsgBoxStyle.OkCancel, "iLogic Setkfactor") = MsgBoxResult.Cancel Then Exit Sub

Dim sInput As String= InputBox("k-Faktor angeben (0 bis 1):", "iLogic Setkfactor", "0.5")
If sInput = "" Then Exit Sub 'User canceled dialog

Dim oDoc As Document
Dim oPartDoc As Inventor.PartDocument
Dim oCompDef As SheetMetalComponentDefinition

For Each oDoc In ThisApplication.Documents
If oDoc.DocumentType = DocumentTypeEnum.kPartDocumentObject Then
oPartDoc=DirectCast(oDoc,Inventor.PartDocument)
If oPartDoc.ComponentDefinition.Type=Inventor.ObjectTypeEnum.kSheetMetalComponentDefinitionObject Then
oCompDef = DirectCast(oPartDoc.ComponentDefinition,SheetMetalComponentDefinition)
oCompDef.UnfoldMethod.kFactor = sInput
oPartDoc.Update
End If
End If
Next

End Sub


------------------
MfG
Ralf

RKW Solutions GmbH
www.RKW-Solutions.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz